#include <QCoreApplication>
#include <QPainter>
#include <QPen>
#include <QPrinter>

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    QPrinter *printer = new QPrinter;
    printer->setOutputFileName("test.pdf");
    printer->setOutputFormat(QPrinter::PdfFormat);

    QPainter painter(printer);
    QPen pen;
    pen.setWidth(0);
    pen.setBrush(Qt::black);
    painter.setPen(pen);
    painter.drawLine(50.0, 50.0, 100.0, 100.0);
    pen.setWidth(1);
    painter.setPen(pen);
    painter.drawLine(150.0, 150.0, 200.0, 200.0);

    painter.end();

    return 0;
}
